<template>
  <div class="mx-3 mb-3">
    <h3>
      <NuxtLink class="navbar-item is-size-4" :to="category.top">{{ category.ja }}</NuxtLink>
    </h3>
    <ul>
      <li v-for="(itm, cx) in category.items" :key="'ft_' + cx">
        <NuxtLink class="navbar-item ml-3" :to="category.top + itm.href">
          {{ itm.ja }}
        </NuxtLink>
      </li>
    </ul>
  </div>
</template>

<script setup lang="ts">
import type { NavItem, NavCategory } from "../../composables/navs";
interface Props {
  category: NavCategory;
}
const props = defineProps<Props>();
</script>

<style scoped>
h3 {
  border-top:1px dotted white;
  border-bottom:1px dotted white;
}
div {
  min-width: 256px;
}
</style>